
Dokumentation zum Raumfahrtsammelprogramm RFP.EXE

                Thomas Muetsch

                04.03.2002


Lauffhigkeit:


Das vorliegende Programm luft auf IBM XT/AT und Kompatiblen (unter MS-DOS)
mit Festplatte und mindestens 640 kByte Arbeitsspeicher. Ein Drucker wird
nicht bentigt. Maus-Zeiger werden nicht untersttzt. Fr den fehlerlosen
Ablauf wird der Kommando-Interpreter (COMMAND.COM) im Root-Directory und
ein vollstndiges Programmpaket mit den 5 EXE-Dateien RFP, RFP1, RFP2, 
RFPGRAF1 und RFPGRAF2 vorausgesetzt. Die Raketenbeispiele "*.RAK" werden
nicht bentigt. Grafikteile laufen nur auf Hercules- und EGA(256k RAM)/VGA-
Grafikkarte. Sind diese nicht vorhanden, so wird z.T. eine Grobgrafik aus
ASCII-Zeichen verwendet. Die Programme und deren Namen drfen i.a. nicht
verndert werden. Die in eckigen Klammern angegebenen DUMMY-Werte sind
vorgegeben und brauchen bei Nichtnderung nur besttigt zu werden (mit ENTER).
Bei Zeichenketten lassen sich die DUMMY-Werte mit den Steuertasten bearbeiten.
Die TAB-Taste ermglicht dabei ein Lschen des DUMMY-Inhalts. Das Programm
ist mengesteuert; die einzelnen Programme werden durch Bettigen der
davorstehenden Buchstaben (in Gro- oder Kleinschreibung) und Ziffern
gestartet. Dies gilt auch fr die Auswahl der Himmelskrpers. Die Mens
knnen durch die Eingabe einer nicht belegten Ziffer oder Taste wieder
verlassen werden. Es wurden teilweise Begriffe eingefhrt, wie sie in der
einschlgigen Literatur nicht zu finden sind (z.B. Hohmannaufenthaltsdauer).
Diese Dokumentation soll dazu dienen, diese Begriffe durch Beschreibung des
formelmssigen Zusammen-hangs darzustellen. In den numerischen
Unterprogrammen kann jederzeit mit der PAUSE-Taste der Durchlauf gestoppt
und mit einer anderen Taste die Ausfhrung fortgesetzt werden. In dieser
Dokumentation erfolgt die Nennung der Unterprogramme immer mit dem jeweiligen
alphanumerischen Zeichen fr dessen Aufruf. Einzelne Ergebnisse aus den
verschiedenen Unterprogrammen werden beim Aufruf eines anderen Programmteils
als Eingabe wiederverwendet; diese Werte (in eckigen Klammern angegeben)
brauchen lediglich mit ENTER besttigt zu werden. Damit lassen sich
komplexere Zusammenhnge (z.B. fr den Wechsel eines Koordinatensystems)
einfacher durchrechnen. Auch die Richtigkeit der verwendeten Berechnungen
kann z.T. durch Rckrechnung mit einem anderen Unterprogramm besttigt
werden.


Definition der physikalischen Einheiten:


Fr die Dimensionierung der physikalischen Gren wurden die SI-Einheiten
zugrunde gelegt. Diese sind in den Ein- und Ausgabeteilen nicht explizit
aufgefhrt. Werden andere Dimensionionierungen verwendet, so sind diese in
den Eingabezeilen meist in runden Klammern vorgegeben. Die einzelnen
Dimensionen zur Erinnerung : kg (Masse), m (Lnge), sec (Zeit), Ampere
(Stromstrke), mol (Stoffmenge, nicht in kmol !), Kelvin (Temperatur),
candela (Lichtstrke). Das Jahr als Zeiteinheit umfat 365 volle Erdtage.
Um die Fehler- und damit Ausstiegshufigkeit des Programms zu vermindern,
werden i.a. unsinnige Dateneingaben (z.B. negative Massen) nicht akzeptiert.
Ist der Definitionsbereich allerdings nicht von einfachem Zusammenhang, kann
u.U. eine unsinnige Berechnung erfolgen. Kommt es zu Laufzeitfehlern, wird
auf die nchsthhere Programmebene gesprungen, bis zuletzt auch das
Hauptprogramm verlassen wird. Gleiches gilt analog fr den stets mglichen
Abbruch mit CTRL-Break.


Copyright und Weitergabe des Programms:
das Programm ist Freeware und jede Weiterverteilung ist erwnscht !

*****************************************
** (c) 1988-2002 Copyright worldwide   **
**::::::::: by ::::::::::::::::::::::::**
**          Thomas Muetsch             **
**          Kirchenfluerlein 13        **
**    97944 Boxberg-Windischbuch       **
**          Germany                    **
**:::::::::::::::::::::::::::::::::::::**
** e-mail : thomas.muetsch@t-online.de **
*****************************************


Physikalische Annahmen und Vereinfachungen:


Die zur Verfgung stehenden Himmelskrper werden als kugelfrmig angenommen.
Streinfle anderer Himmelskrper werden vernachlssigt (Einkrperproblem).
Relativistische Einflsse werden ebenfalls vernachlssigt.
Als Apsidenhhe wird die Bahnordinate im Brennpunkt definiert.
Der Apsidenwinkel entspricht der wahren Anomalie der klassischen Bahnmechanik.
Auf Ausnahmen von diesen Grundstzen wird besonders hingewiesen.


Beschreibung der Funktionen:


In dieser vorliegenden Dokumentation wurden z.T. Ausschnitte der
Quellprogramme verwendet und kommentiert. Der Funktionen-Syntax
besteht dabei aus dem Standardbefehlssatz von TURBO Pascal 6.0:
 abs       : Absolutbetrag-Funktion
 arctan    : Arcus-Tangens-Funktion in rad
 cos       : Cosinus-Funktion in rad
 exp       : Exponential-Funktion
 ln        : natrlicher Logarithmus
 max       : Maximum-Funktion
 min       : Minimum-Funktion
 round     : Gerundete Ganzzahl einer rationalen Zahl
 sin       : Sinus-Funktion in rad
 sqr       : Quadrat-Funktion
 sqrt      : Wurzel-Funktion
 trunc     : Ganzzahliger Anteil einer rationalen Zahl
und eigenen Erweiterungen:
 gatn      : Arcus-Tangens-Funktion in Grad
 gcos      : Cosinus-Funktion in Grad
 gsin      : Sinus-Funktion in Grad
 hoch      : Potenz-Funktion, z.B. hoch(a,b)=a^b
 racs,gacs : Arcus-Cosinus-Funktion rad,in Grad
 rasn,gasn : Arcus-Sinus-Funktion in rad,Grad
 rtan,gtan : Tangens-Funktion in rad,Grad
 sgn       : Vorzeichen-Funktion (sgn={-1,0,+1})

Unter den Berechnungen wurden lediglich die physikalischen Grundlagen
aufgezeigt. Programmtechnisch mssen aber Ausnahmen von diesen Regeln
noch abgefangen werden, die hier jedoch nicht nher beschrieben werden.
Auch auf die Existenz von Doppellsungen bei bestimmten Gleichungen (hufig
bei Ellipsen- bzw. Hyperbelbahnen der klassischen Bahnmechanik) wird hier
nicht eingegangen.

Zur Verfgung stehende Unterprogramme:

 1  Ballistische Bahnen             7  Swingby-Manver
 2  Kreisfrmige Bahnen             8  Bodenspur zeichnen
 3  Elliptische Bahnen              9  Seile
 4  Allgemeine Bahnen
 5  Bahnbestimmung aus Ortsgren
 6  Bahnbestimmung aus Flugdauer

 a  Planetendaten                   e  Raketengre fr Einstufentrger
 b  Erdabplattungseinfle          f  Raketengeschwindigkeitsvermgen
 c  Manvergeschwindigkeitsbedarf   g  Raumschlepper
 d  Bahnelemente ermitteln          h  Raumfahrtantriebe

 Numerische Programme : i  Freiflug im Erde-Mond-System
                        j  Wiedereintrittsprogramm
                        k  Raketenstartprogramm

 Grafische Programme  : l  Planetensystem        m  Weltraumbahnhoefe


Belegung der Konstanten :

Name des Himmelskrpers:
   pls: array[0..23] of string[10] =('Sonne','Merkur','Venus','Erde',
        'Mars','Jupiter','Saturn','Uranus','Neptun','Pluto','Ceres',
        'Eros','Hermes','Mond','Phobos','Deimos','Io','Europa',
        'Ganymed','Callisto','Titan','Oberon','Triton','Weltall');

Radius des Himmelskrpers:
   rv : array[0..23] of real =(696000e3,2439e3,6052e3,6371.2e3,
        3394e3,71398e3,60435e3,25900e3,24712e3,1142e3,380e3,
        7e3,300,1738e3,20e3,13e3,1818e3,1530e3,
        2610e3,2445e3,2575e3,775e3,1360e3,1e16);

Mittlere groe Halbachse der Himmelskrperbahn:
   tv : array[0..23] of real =(0,5.791e10,1.0821e11,1.49598e11,
        2.2794e11,7.784e11,1.427e12,2.87e12,4.496e12,5.9135e12,4.138e11,
        2.181e11,1.93e11,384403e3,938e4,2346e4,422e6,671e6,
        1.07e9,1.883e9,1.22186e9,5834e5,3546e5,0);

Masse des Himmelskrpers:
   mv : array[0..23] of real =(1.9891e30,3.302e23,4.869e24,5.974e24,
        6.419e23,1.8988e27,5.684e26,8.698e25,1.028e26,1.3e22,1.17e21,
        5e15,4e11,7.3432e22,1.34e16,2.3e15,8.907e22,4.869e22,
        1.488e23,1.063e23,1.36e23,6e21,3e22,1.9891e30);

Rotationsdauer des Himmelskrpers:
   lv : array[0..23] of real =(2200000,5100000,21000000,86164,
        88643,35430,36840,38940,56400,550000,32688,
        18972,0,2360592,0,0,0,0,
        0,0,0,0,0,0);

Exzentrizitt der Himmelskrperbahn:
   ev : array[0..23] of real =(0,0.206,0.006787,0.016721,
        0.093,0.048,0.056,0.047,0.009,0.25,0.079,
        0.223,0.475,0.0549,0.021,0.0028,0.0001,0.0001,
        0.0014,0.0074,0.0292,0.001,0,0);

Reziproker Wert der Abplattung des Himmelskrpers:
   abv: array[0..23] of real =(0,0,0,297,
        170,15,9.5,42,40,0,0,
        0,0,500,0,0,0,0,
        0,0,0,0,0,0);

Bahnneigung des Himmelskrpers:
   nwv: array[0..23] of real =(0,10,6,23.5,
        24,3,27,98,29.6,0,0,
        0,0,5.15,0,0,0,0,
        0,0,0,0,0,0);

Gravitationskonstante:
   gr:  6.672e-11

Zur Verfgung stehende Himmelskrper:

 0 Sonne
 1 Merkur
 2 Venus
 3 Erde     a Mond
 4 Mars     b Phobos   c Deimos
 d Ceres    e Eros     f Hermes
 5 Jupiter  g Io       h Europa   i Ganymed  j Callisto
 6 Saturn   k Titan
 7 Uranus   l Oberon
 8 Neptun   m Triton
 9 Pluto
In einer Aufrufroutine wird dem gewhlten Himmelskrper die
INTEGER-Variable vc zugewiesen. Auerdem werden die folgenden hufig
benutzten Variablen fr den jeweiligen Himmelskrper zugewiesen:
 Krperradius     re = rv [vc]
 Krpermasse      me = mv [vc]
 Rotationsdauer   te = lv [vc]
 Krperkonstante  mu = gr*me

Beschreibung der Unterprogramme:

1 Ballistische Bahnen:

Unterprogramm zur Ermittlung charakteristischer Daten einer ballistischen
Flugbahn im Schwerefeld eines Himmelskrpers. Dabei werden die Einfle der
Abplattung und des Luftwiderstands, sowie die Dauer der Antriebsphase
vernachlssigt.
Eingaben:
 Brennschlugeschwindigkeit         ve
 Abschuneigungswinkel              wi  (gegenber der Horizontalen)
 Abschurichtung (0=Osten,-90=Sd)  wb
 Abschubreitengrad                 bg1
 Abschulngengrad (Osten > 0)      lg1
Berechnungen:
  vpl  = 2*pi*re*gcos(bg1)/te
  vx   = vpl+ve*gcos(wb)*gcos(wi)
  vy   = ve*gsin(wb)*gcos(wi)
  vg   = sqrt(sqr(vx)+sqr(vy)+sqr(ve*gsin(wi)))
  wi1  = gasn(ve*gsin(wi)/vg)
  wb1  = gacs(vx/vg/gcos(wi1))
  ex   = sqrt(sqr(vg*vg/mu*re-1)*sqr(gcos(wi1))+sqr(gsin(wi1)))
  p    = vg*vg*sqr(gcos(wi1))/mu*re*re
  hg   = p/(1-ex)-re
  r9   = p/(1-ex)
  r8   = p/(1+ex)
  gh   = (r9+r8)/2
  t0   = 2*pi*sqrt(gh*gh/mu*gh)
  we   = gacs((1-p/re)/ex)
  in1  = gacs(gcos(abs(bg1))*gsin(90-wb1))
  y1   = 2*arctan(gtan((180-we)/2)/sqrt((1+ex)/(1-ex)))
  t1   = (y1-ex*sin(y1))/sqrt(mu/gh/gh/gh)
  t4   = (t0-2*t1)/lv[vc]*360
  om   = gasn(gsin(bg1)/gsin(in1))-(180-we)
  rek  = lg1-gacs(gcos(om+180-we)/gcos(bg1))
  bg2  = gasn(gsin(in1)*gsin(om+180+we))
  llg  = gacs(gcos(om+180+we)/gcos(bg2))
  lg2  = llg+rek-t4
  x1   = gcos(bg1)*gcos(lg1)
  y1   = gcos(bg1)*gsin(lg1)
  z1   = gsin(bg1)
  x2   = gcos(bg2)*gcos(lg2)
  y2   = gcos(bg2)*gsin(lg2)
  z2   = gsin(bg2)
  l5   = sqrt(sqr(x1-x2)+sqr(y1-y2)+sqr(z1-z2))
  rwe  = 2*re*arctan(l5/2/sqrt(1-l5*l5/4))
  kap1 = gatn(sqrt(1-vg*vg*re/mu))
Ausgaben:
 Bahnanstiegswinkel                            wi1
 Flugrichtung fr ruhenden Beobachter          wb1
 effektive Startgeschwindigkeit                vg
 Startplatzdrehgeschwindigkeit                 vpl
 Abschuwinkel fr max.Reichweite ca.          kap1
 Gipfelhhe                                    hg/1000   km
 Reichweite                                    rwe/1000  km
 Landebreitengrad                              bg2
 Landelngengrad                               lg2
 Winkelsprung auf der Himmelskrperoberflche  rwe/re*180/pi
 Winkelsprung der Bahn                         2*we
 Flugdauer                                     t0-2*t1
 Inklination                                   in1
 Exzentrizitt                                 ex
 Argument des Perigums                        om
 Rektaszension                                 rek

2 Kreisfrmige Bahnen:

Unterprogramm zur Ermittlung charakteristischer Gren einer kreisfrmigen
Umlaufbahn um einen Himmelskrper, sowie spezifischer Oberflchendaten.
Eingaben:
 Hhe (km)                     h1
 Inklination bzw.Breitengrad   in1
Berechnungen:
 r1   = re+1000*h1
 inl  = in1/180*pi
 t0   = sqrt(r1*r1/mu*r1)*2*pi
 rh   = r1*sin(inl)
 r3   = sqrt(re*re-rh*rh)
 t1   = 2*arctan((r3/r1)/sqrt(1-sqr(r3/r1)))/sqrt(mu/r1/r1/r1)
 t4   = 2*pi*sqrt(sqr(tv[vc])/mv[0]*tv[vc]/gr)
 s3   = round(lv[vc]*t4/(t4-lv[vc]))
 um   = 2*pi*re*cos(inl)
 rd   = re*cos(inl)
 bb   = rd*rtan(nwv[vc]*pi/180)/rtan((90-in1)*pi/180)
 gm   = 90-((pi/2-arctan((bb/rd)/sqrt(1-sqr(bb/rd))))*180/pi)
 tl   = 2*pi*rd*(1+gm/90)/um
 aa3  = rv[vc]*(1-1/abv[vc]*in1/90)
 um2  = 2*pi*aa3*cos(inl)
 ve   = um2/te
 ge   = 9.8144+(0.0178/90*in1)          (fr Erde)
 ge   = gr*mv[vc]/aa3/aa3               (fr andere Himmelskrper)
 gz   = abs(sqr(2*pi/te)*aa3*cos(inl))
 aef  = sqrt(sqr(cos(inl)*ge-gz)+sqr(sin(inl)*ge))
 b1   = pi/2-rasn(re/r1)
 s6   = abs(lv[vc]*t0/(lv[vc]-t0*cos(inl)))
 s4   = lv[vc]*t0/(lv[vc]-t0*cos(inl))*b1/pi
Ausgaben:
 Umlaufzeit                            t0
 Dunkelzeit bei Tag- u.Nachtgleiche    t1 <=> t1/t0*100 %
 Kreisbahngeschwindigkeit              sqrt(mu/r1)
 Fluchtkickgeschwindigkeit             sqrt(mu/r1)*(sqrt(2)-1)
 Kinetische Energie (kWh/kg)           mu/r1/7200000
 Potentielle Energie (kWh/kg)          mu*(1/re-1/r1)/3.6e6 = (1-re/r1)*100 %
 Dauer eines Tages                     s3
 Tageslnge bei Sonnenwende        +/- abs(tl-1)*100 %
 Himmelskrperdrehgeschwindigkeit      ve
 Oberflchenanziehung                  ge - gz = aef
 Himmelskrperblickwinkel              (pi-2*b1)*180/pi
 Himmelskrperbreitengrade             b1*360/pi (ohne Neigungsbreitengrade)
 Breitenkilometer                      2*re*b1/1000
 Blickflche                           50*(1-cos(pi/2-b1)) %
 Himmelskrpersichtbarkeit             (1-cos(b1))*50 %
 Synodische Oberflchenperiode         s6
 Satellitensichtbarkeit (max.)         -s4 <=> b1/pi*100 %
 Satellitenentfernung (max.)           sqrt(sqr(re+1000*h1)-re*re)/1000 km

3 Elliptische Bahnen:

Unterprogramm zur Ermittlung charakteristischer Gren einer elliptischen
Umlaufbahn um einen Himmelskrper. Eine Hilfsroutine ermglicht dabei die
Zuweisung von verschiedenen Monddaten zum jeweiligen Gravitationszentrum.
Eingaben:
 Peri-hhe (km)                h1
 Apo-hhe  (km)                h2
 Apsidenwinkel (0 - 180 Grad)  q
Berechungen:
 qw   = q/180*pi
 r1   = re+1000*h1
 r2   = re+1000*h2
 gh   = (r1+r2)/2
 ex   = (r2-r1)/(r2+r1)
 pp   = (1+ex)*r1
 rr   = pp/(1+ex*cos(qw))
 s2   = sqrt(mu*pp)
 vrad = sqrt(mu/pp)*ex*sin(qw)
 vnor = sqrt(mu*pp)/rr
 vt   = s2/pp*sqrt(1+2*ex*cos(qw)+ex*ex)
 v3   = s2/pp*sqrt(1+2*ex+ex*ex)
 t0   = 2*pi*sqrt(gh*gh/mu*gh)
 y1   = 2*arctan(rtan(qw/2)/sqrt((1+ex)/(1-ex)))
 t1   = (y1-ex*sin(y1))/sqrt(mu/gh/gh/gh)
 ps   = pi-arctan((1+ex*cos(qw))/ex/sin(qw))
 psi  = ps*180/pi
 hr   = (rr-re)/1000
 vk   = sqrt(mu/rr)
 kvb  = sqrt(vk*vk+vt*vt-2*vt*vk*sin(psi/180*pi))
 vk1  = sqrt(mu/r1)
 kvb1 = v3-vk1
 v2   = sqrt(pp*mu)/pp*(1-ex)
 v1   = sqrt(pp*mu)/pp*(1+ex)
 t3   = 2*pi*sqrt(r1*r1/mu*r1)
 t4   = 2*pi*sqrt(r2*r2/mu*r2)
 dv   = sqrt(mu/r1)*(sqrt(2*r2/(r1+r2))-1)
        +sqrt(mu/r2)*(1-sqrt(2*r1/(r1+r2)))
 dvo  = sqrt(mu/r1)*(sqrt(2*rr/(r1+rr))-1)
        +sqrt(mu/rr)*(1-sqrt(2*r1/(r1+rr)))
 dv1  = (sqrt(2)-1)*(sqrt(mu/r1)+sqrt(mu/r2))
 dv2  = (sqrt(2)-1)*(sqrt(mu/r1)+sqrt(mu/rr))
 t5   = t3*t4/(t4-t3)
 tj   = t0/(t4/t3-1)
 tb   = t0/(t3/t4-1)
 n8   = trunc(abs(tb)/t5)+1
 tb   = tb+t5*n8
Ausgaben:
 Exzentrizitt                      ex
 Ortstangentenwinkel                psi
 Umlaufdauer                        t0
 Ortszeit                           t1
 Hhe                               hr km
 Peri-Geschwindigkeit               v1
 Apo-Geschwindigkeit                v2
 Anziehung                          mu/rr/rr
 Ortsgeschwindigkeit                vt
 Radialgeschwindigkeit              vrad
 Normalgeschwindigkeit              nor
 Ortskreisbahngeschwindigkeit       vk
 Kreisbahngeschwindigkeitsbedarf    kvb
 Bahntransferbedarf fr Ortshhe    kvb+kvb1
 Hohmanngeschwindigkeitsbedarf      dv
  bzw. fr Ortshhe                 dvo
 3-Impuls-Geschwindigkeitsbedarf    dv1
  bzw. fr Ortshhe                 dv2
 Spiralgeschwindigkeitsbedarf       sqrt(mu/r1)*(1-sqrt(r1/r2))
  bzw. fr Ortshhe                 sqrt(mu/r1)*(1-sqrt(r1/rr))
 Synodische Periode                 t5
 Hohmannaufenthalt innen mindestens tj
                   auen mindestens tb
 Kinetische Energie (kWh/kg)        vt*vt/7.2e6
 Potentielle Energie (kWh/kg)       mu*(1/re-1/rr)/3.6e6

4 Allgemeine Bahnen:

Unterprogramm zur Ermittlung charakteristischer Gren einer Umlaufbahn um
einen Himmelkrper unter Vorgabe des Flugzustands im Perizentrum.
Eingaben:
 Starthhe (km)             h1  (des Perizentrums)
 Startgeschwindigkeit       v1
 Ortshhe (km)              hr
Berechnungen:
 r2  = re+hr*1000
 r1  = re+h1*1000
 si  = r1*v1
 hh  = v1*v1-2*mu/r1
 ex  = sqrt(1+hh*si/mu*si/mu)
 pp  = v1*v1/mu*r1*r1
 f   = (pp-r2)/ex/r2
 vt  = sqrt(hh+2*mu/r2)
 Fr ex=1:
  ph = pi/2-rasn(f)
  tu = pp*pp/sqrt(mu*pp)*(rtan(ph/2)/2+hoch((rtan(ph/2)),3)/6)
 Fr ex<1:
  gh = pp/(1-ex*ex)
  ph = pi/2-rasn(f)
  t2 = 2/sqrt(1-ex*ex)*arctan((1-ex)*rtan(ph/2)/sqrt(1-ex*ex))
  tu = sqrt(pp/mu*pp*pp)
       *(ex*sin(ph)/(ex*ex-1)/(1+ex*cos(ph))-t2/(ex*ex-1))
  h2 = (gh*(1+ex)-re)/1000
  t4 = 2*pi*sqrt(gh/mu*gh*gh)
 Fr ex>1:
  gh = pp/(ex*ex-1)
  ph = abs(pi/2-rasn(f))
  t2 = (ln(abs(((ex-1)*rtan(ph/2)+sqrt(ex*ex-1))/((ex-1)*rtan(ph/2)
        -sqrt(ex*ex-1)))))/sqrt(ex*ex-1)
  tu = sqrt(pp/mu*pp*pp)
       *(ex*sin(ph)/(ex*ex-1)/(1+ex*cos(ph))-t2/(ex*ex-1))
  vf = sqrt(2*mu/r2)
  vr = sqrt(vt*vt-vf*vf)
 x   = 1/(v1*v1/(mu/r1)-1)
 ps  = pi-arctan((1+ex*cos(ph))/ex/sin(ph))
 kvb = sqrt(vt*vt+mu/r2-2*vt*sqrt(mu/r2)*sin(ps))
 psi = ps*180/pi
Ausgaben:
 Abflugwinkel                     rasn(x)*180/pi
 Exzentrizitt                    ex
 Parabolische Geschwindigkeit     v1-sqrt(2*mu/r1)
 Startkreisbahngeschwindigkeit    sqrt(mu/r1)
 Kickgeschwindigkeit              v1-sqrt(mu/r1)
 Apo-hhe                         h2 km
 Apsidenwinkel                    ph*180/pi
 Ortstangentenwinkel              psi
 Ortsgeschwindigkeit              vt
 Ortskreisbahngeschwindigkeit     sqrt(mu/r2)
 Kreisbahngeschwindigkeitsbedarf  kvb
 Umlaufzeit                       t4
 Ortszeit                         tu
 Kinetische Energie  (kWh/kg)     vt*vt/7.2e6
 Potentielle Energie (kWh/kg)     mu*(1/re-1/r2)/3.6e6 = (1-re/r2)*100 %
 Anziehung                        mu/r2/r2 = re*re/r2/r2*100 %
 Restgeschwindigkeit              vr
 Geschwindigkeitsgewinnfaktor     vr/(v1-sqrt(2*mu/r1))

5 Bahnbestimmung aus Ortsgren:

Unterprogramm zur Ermittlung charakteristischer Gren einer Umlaufbahn um
einen Himmelskrper unter Vorgabe des aktuellen Flugzustands. Des weiteren
wird der Einflu kleiner Strungen berechnet.
Eingaben:
 Ortshhe (km)                 hr
 Ortsgeschwindigkeit           vt
 Ortstangentenwinkel (90-180)  psi (Winkel von 0 bis 90 Grad knnen aus
                                   Symmetriegrnden transferiert werden)
Berechnungen:
 r  = hr*1000+re
 gh = r*mu/(2*mu-vt*vt*r)
 Numerische Lsung von fi(r,gh,psi):
  gh = gh/sqr(gcos(fi)+gtan(psi)*gsin(fi))-r
       +gcos(fi)*r/(gcos(fi)+gtan(psi)*gsin(fi))
 ex = abs(-1/(gcos(fi)+gtan(psi)*gsin(fi)))
 pp = r*(1+ex*gcos(fi))
 h1 = (pp/(1+ex)-re)/1000
 h2 = (pp/(1-ex)-re)/1000
 v1 = sqrt(mu*(2/(h1*1000+re)-1/gh))
Ausgaben:
 Exzentrizitt                             ex
 Apsidenwinkel                             fi
 Peri-hhe                                 h1 km
 Apo-hhe                                  h2 km
 Peri-geschwindigkeit                      v1
 Strungseinflu von +1 m/s (Nherung) tangential bzw. bahnnormal
 absolute nderung der groen Halbachse    2/vt*gh
 relative nderung der Umlaufzeit          300/vt %
 absolute nderung der Inklination         180/vt/pi Grad
 absolute nderung der Exzentrizitt       2/vt

6 Bahnbestimmung aus Flugdauer:

Unterprogramm zur Ermittlung charakteristischer Gren einer Flugbahn um einen
Himmelskrper unter Vorgabe des Zeitbedarfs, um z.B. einen Bahnwechsel
durchzufhren. Dabei wird wie immer die Dauer des notwendigen Antriebsmanvers
vernachlssigt.
Eingaben:
 Starthhe (km)   h1  (der Ursprungskreisbahn)
 Zielhhe (km)    hr
 Zeitbedarf       tu
Berechnungen:
 Anfangswerte:
  r1 = h1*1000+re
  r2 = hr*1000+re
  gh = (r1+r2)/2
  tm = pi*sqrt(gh*gh/mu*gh)
  v  = sqrt(mu*(2/r1-2/(r1+r2)))
 Schleife mit 30 Durchlufen (variiert wird v; t geht gegen 0):
  si = r1*v
  hh = v*v-2*mu/r1
  ex = sqrt(1+hh*si/mu*si/mu)
  pp = r1*r1*v*v/mu
  f  = (pp-r2)/ex/r2
  ph = pi/2-rasn(f)
  Fr ex>1:
   gh = pp/(ex*ex-1)
   n  = hoch((pp/gh),1.5)/sqrt(mu/gh/gh/gh)
   t5 = (ln(abs(((ex-1)*rtan(ph/2)+sqrt(ex*ex-1))/((ex-1)*rtan(ph/2)
        -sqrt(ex*ex-1)))))/sqrt(ex*ex-1)
   t  = n*(ex*sin(ph)/(ex*ex-1)/(1+ex*cos(ph))-t5/(ex*ex-1))-tu
  Fr ex<1:
   gh = pp/(1-ex*ex)
   n  = hoch((pp/gh),1.5)/sqrt(mu/gh/gh/gh)
   t5 = 2/sqrt(1-ex*ex)*arctan((1-ex)*rtan(ph/2)/sqrt(1-ex*ex))
   t  = n*(ex*sin(ph)/(ex*ex-1)/(1+ex*cos(ph))-t5/(ex*ex-1))-tu
  h2  = (gh*(1+ex)-re)/1000
  vt  = sqrt(hh+2*mu/r2)
  ps  = pi-arctan((1+ex*cos(ph))/ex/sin(ph))
Ausgaben:
 Startgeschwindigkeit           v
 Zeitdifferenz                  t (entspricht Rechenfehler)
 Exzentrizitt                  ex
 Apsidenwinkel                  ph*180/pi
 Apo-hhe (km)                  h2
 Ortsgeschwindigkeit            vt
 Ortstangentenwinkel            ps*180/pi

7 Swingby-Manver:

Unterprogramm zur Ermittlung charakteristischer Gren eines Swingby-Manvers.
Dabei wird ein ebener Vorbeiflug an einem Himmelskrper ohne Antriebsmanver
und ohne Strung durch andere Gravitationsfelder vorausgesetzt. Als Nahbereich
wird eine Ortshhe unterhalb der Apsidenhhe festgelegt. Es wird auerdem ein
Koordinatensystem wie folgt festgelegt:
x-Richtung : Zielkrperflugrichtung
y-Richtung : in Zielkrperbahnebene senkrecht zu x nach auen
z-Richtung : auf Zielkrperbahnebene senkrecht nach oben');
Fr Anflugbreiten ber 90 Grad kommt es zu einer Beschleunigung, bei
Anflugbreiten unter 90 Grad zu einer Verzgerung der Satellitengeschwindig-
keit bzgl. dem gemeinsamen Gravitationszentrum (Hinterher- bzw. Vorausflug).
Eingaben:
 Anflugwinkel zu beider Gravitationszentrum (|fi|<=180)  f1
 Anflugortsgeschwindigkeit                               v1
 Zielkrperflugwinkel zum Gravitationszentrum            fpl
 Zielkrpergeschwindigkeit                               vpl
 Peri-hhe (km)                                          hp1
 Anflugbreitengrad (|in|<=180)                           ink
Berechnungen:
 pr :=re+hp1*1000
 al :=f1-fpl
 vr :=sqrt(sqr(vpl)+sqr(v1)-2*v1*vpl*gcos(al))
 b  :=pr*sqrt(1+2*mu/pr/vr/vr)
 vp :=b/pr*vr
 vk :=sqrt(mu/pr)
 phi:=180-2*gatn(vr*vr*b/mu)
 bg :=gasn(gsin(phi)*gsin(-ink))
 Fr ((gsin(-ink)>gsin(phi)) und (phi>90)): bg:=180-bg
 lg :=gacs(gcos(phi)/gcos(bg))
 x1 :=v1*gcos(al)-vpl
 y1 :=v1*gsin(al)
 x  :=(sqr(vpl)+sqr(vr)-sqr(v1))/(2*vpl*vr)
 Fr ((abs(round(x*1e7))=1e7) und (x1>0)): bt:=180
 sonst fr (abs(round(x*1e7))=1e7):        bt:=0
 sonst:                                    bt:=gacs(x)*sgn(y1)
 x2 :=-vr*gcos(bg)*gcos(lg+bt)
 y2 := vr*gcos(bg)*gsin(lg+bt)
 z2 := vr*gsin(bg)
 v2 :=sqrt(sqr(vpl+x2)+sqr(y2)+sqr(z2))
 psi:=gasn(z2/v2)
 xi :=gatn2(vpl+x2,y2)
 Fr (vpl+x2)>0: f2 :=gacs(gcos(xi+fpl)*gcos(psi))
 sonst:          f2 :=-gacs(gcos(xi+fpl)*gcos(psi))
 dv :=sqrt(sqr(x2-x1)+sqr(y2-y1)+sqr(z2))
 si :=pr*vp
 hh :=vp*vp-2*mu/pr
 ex :=sqrt(1+hh/mu*si/mu*si)
 pp :=(1+ex)*pr
 gh :=pp/(ex*ex-1)
 t2 :=ln(abs(((ex-1)+sqrt(ex*ex-1))/((ex-1)-sqrt(ex*ex-1))))/sqrt(ex*ex-1)
 tu :=2*(ex/(ex*ex-1)-t2/(ex*ex-1))*sqrt((pp/mu*pp*pp))
 df :=f2-f1
 Fr abs(df)>180: df:=360-abs(df)
Ausgaben:
 Relativgeschwindigkeit vorher (|v|,x,y)     vr  x1  y1
 Relativgeschwindigkeit nachher (|v|,x,y,z)  vr  x2  y2  z2
 Ortsgeschwindigkeit nachher                 v2
 Peri-geschwindigkeit                        vp
 Kreisbahngeschwindigkeitsbedarf             vk-vp
 Exzentrizitt                               ex
 Apsidenhhe                                 (pp-re)/1000 km
 Unbeeinflute Vorbeiflughhe                (b-re)/1000 km
 Umlenkwinkel                                phi
 Flugwinkelnderung                          df
 Abflugwinkel zum Zentrum                    f2
 Abflugneigungswinkel                        psi
 Nahbereichaufenthaltsdauer                  tu
 Kinetischer Energiefaktor                   v2*v2/v1/v1 entspricht
  (sqr(v2)-sqr(v1))/2/sqrt(mu/re)/vpl*100 % des max. Energiegewinns
  oder v2-v1 m/s Geschwindigkeitsnderung
 quivalenter Antriebsbedarf                 dv
  entspricht dv/sqrt(mu/re)*100 % vom max. dv des Himmelskrpers
  oder dv/sqrt(mu/pr)*100 % vom max. dv bzgl. Peri-hhe

8 Bodenspur zeichnen:

Dieses Unterprogramm zeichnet fr einen bestimmten Zeitraum die Bodenspur
einer geschlossenen Umlaufbahn um einen Himmelskrper. Fr die Erde wird
zustzlich eine geografische Karte gezeichnet. Die Satellitenspur kann
wahlweise punktiert oder als Polygonzug gezeichnet werden. Falls die
verwendete Grafik nicht lauffhig sein sollte, wird eine reduzierte
Grobgrafik aus ASCII-Zeichen initialisiert.
Eingaben:
 groe Halbachse (km)            grha
 Exzentrizitt                   ex
 Winkelabstand des Perizentrums  om
 Inklination                     in1
 Rektaszension                   rek
 Apsidenwinkel von (>=0)         ff0
 Apsidenwinkel bis               fm
 Apsidenschrittweite             fi
Berechnungen:
 Die Berechnung luft ohne Zutun von ff0 bis fm mit der Schrittweite fi
 Anfangswerte:
  lr   = rek/180*pi
  ink  = in1/180*pi
  ome  = om/180*pi
  beg  = round(ff0/fi)
  en   = round(fm/fi)
  tges = 2*pi*sqrt(gh*gh*gh/mu)
  f1   = 2*arctan(sqrt((1-ex)/(1+ex))*gtan(ff0/2))
  f2   = ex*sqrt(1-ex*ex)*gsin(ff0)/(1+ex*gcos(ff0))
  t2   = sqrt(gh*gh*gh/mu)*(f1-f2)
 Laufwerte:
  ip  = ip+1
  phi = fi*ip
  ph  = phi/180*pi
  ump = trunc(phi/360)
  bg  = rasn(sin(ink)*sin(ome+ph))
  l1  = racs(cos(ome+ph)/cos(bg))
  f1  = 2*arctan(sqrt((1-ex)/(1+ex))*rtan(ph/2))
  f2  = ex*sqrt(1-ex*ex)*sin(ph)/(1+ex*cos(ph))
  tu  = sqrt(gh*gh*gh/mu)*(f1-f2)
  tu  = tu+tges*ump
  lg  = l1-2*pi/lv[vc]*(tu-t2)+lr
  fp  = sqrt(mu/hoch((gh*(1-ex*ex)),3))*sqr(1+ex*cos(ph))
  vg  = sqrt(mu*(1+2*ex*cos(ph)+ex*ex)/(gh*(1-ex*ex)))
Ausgaben:
 Die Ausgaben werden fr jeden Durchlauf aktualisiert und umfat:
 Zeit                           tu
 Hhe (km)                      (gh*(1-ex*ex)/(1+ex*cos(ph))-re)/1000
 Apsidenwinkel                  ph*180/pi
 Breitengrad                    bg*180/pi
 Lngengrad                     lg*180/pi
 Drehgeschwindigkeit (Grad/min) fp*180/pi*60
 Geschwindigkeit                vg
 Umlauf                         ump

9 Seile:

Unterprogramm zur Ermittlung spezifischer Gren seilgefesselter Satelliten im
Einflubereich eines Gravitationsfeldes mit Endmassekrpern.
Eingaben:
 Innenhhe (km)              h1 (des Seilendmassekrpers)
 Auenhhe (km)              h2
 Innenmasse                  m1
 Auenmasse                  m2
 Seiltragfhigkeit (N/mm^2)  sig (zulssiger Wert)
 Seildichte (g/cm^3)         dic
Berechnungen:
 Da die Masse des Seiles als Ergebnis der Berechnung einen z.T.
 betrchtlichen Einflu auf die Berechnung selbst haben kann, wird die
 Lsung auf numerischem Wege in maximal 19 Schritten von oben  nach unten
 wie folgt ermittelt:
  r1  = re+1000*h1
  r2  = re+1000*h2
  rcm = (qi/2*(r2*r2-r1*r1)+m1*r1+m2*r2)/(qi*(r2-r1)+m1+m2)
  rcg = sqrt((qi*(r2-r1)+m1+m2)/(qi*(1/r1-1/r2)+m1/r1/r1+m2/r2/r2))
  rmz = hoch(((qi/2*(r2*r2-r1*r1)+m1*r1+m2*r2)/
             (qi*(1/r1-1/r2)+m1/r1/r1+m2/r2/r2)),(1/3))
  dga = mu*(1/r2/r2-r2/rmz/rmz/rmz)
  dgi = mu*(1/r1/r1-r1/rmz/rmz/rmz)
  kr  = max(dgi*m1,abs(dga*m2))
  kr  = kr+dic*1000*fl*mu*(1/r1-3/2/rmz+r1*r1/2/rmz/rmz/rmz)
  fl  = kr/1000000/sig
  ms  = fl*(r2-r1)*dic*1000
  om  = sqrt(mu/rmz/rmz/rmz)
  m   = min(m1,m2)
  dv  = sqrt(mu/r1)+om*(r2-r1)-sqrt(mu/r2)
  tu  = sqrt(4*pi*pi/mu*rmz*rmz*rmz)
  qi  = dic*1000*fl
Ausgaben:
 Nummer der Nherung
 Massenzentrumshhe                      rcm-re
 Gravitationszentrumshhe                rcg-re
 Metazentrumshhe                        rmz-re
 Abstand Massen- zu Gravitationszentrum  rcm-rcg
 Innenbeschleunigung                     dgi
 Auenbeschleunigung                     dga
 Seilzugkraft innen                      dgi*m1
 Seilzugkraft auen                      abs(dga)*m2
 Seilzugkraft im Metazentrum             kr
 Seilmasse                               ms = ms/(m1+m2+ms)*100 %
 Seilmasse bzgl. kleinerer Endmasse      ms/m*100 %
 Konstanter Seildurchmesser              2*sqrt(fl/pi)
 Transfergeschwindigkeitsbedarf          dv
 Umlaufzeit                              tu
 Innengeschwindigkeit                    om*r1
 Auengeschwindigkeit                    om*r2
 Kreisbahngeschwindigkeitsbedarf innen   sqrt(mu/r1)-om*r1
 Kreisbahngeschwindigkeitsbedarf auen   sqrt(mu/r2)-om*r2

a Planetendaten:

Unterprogramm zur Ermittlung spezifischer Daten zu den verfgbaren
Himmelskrpern. Es kann eine Tabelle der wichtigsten Daten aller
Himmelskrper oder eines ganz bestimmten angefordert werden.
Eingaben:
 Himmelskrper       vc
Berechnungen:
 ip   = Zuweisung des Gravitationszentrums
 t0   = 2*rv[ip]/tv[vc]*180/pi*3600
 t1   = 2*rv[vc]/tv[vc]*180/pi*3600
 tt   = tb*lv[vc]/(max(lv[vc],tb)-min(lv[vc],tb))
 agz  = -2*gr*mv[vc]*rv[ip]/sqr(tv[vc])/tv[vc]
 ts1  = tb*31556926/(max(tb,31556926)-min(tb,31556926))
 ts2  = tb*lv[ip]/(max(tb,lv[ip])-min(tb,lv[ip]))
 me   = mv[ip]
 mm   = mv[vc]
 rges = tv[vc]
 r3   = rges
 r2   = rges
 r1   = rges
 Numerische Berechnung der Lagrange-Punkte L1,L2 und L3 mit 22 Durchlufen
  als Funktionen r1(l1=0), r2(l2=0) und r3(l3=0):
  l1 =me*(1-hoch((rges-r1)/rges,3))
      -mm*(sqr((rges-r1)/r1)+hoch((rges-r1)/rges,3))
  l2 =me*(1-hoch((rges+r2)/rges,3))
      +mm*(sqr((rges+r2)/r2)-hoch((rges+r2)/rges,3))
  l3 =me*(1-hoch(r3/rges,3))+mm*(sqr(r3/(rges+r3))-hoch(r3/rges,3))
 rm   = mv[vc]/(mv[ip]+mv[vc])*tv[vc]
 akts = tv[vc]*hoch((mv[vc]/mv[ip]/sqrt(2)),0.4)-rv[vc]
 neus = tv[vc]*hoch((mv[vc]/mv[ip]),0.5)-rv[vc]
 kos3 = sqrt(sqr(sqrt(2)-1)*gr*mv[ip]/tv[vc]+2*gr*mv[vc]/rv[vc])
 kos4 = sqrt(sqr(sqrt(sqr(sqrt(2)-1)*gr*mv[0]/tv[ip]
        +2*gr*mv[ip]/tv[vc])-sqrt(gr*mv[ip]/tv[vc]))+2*gr*mv[vc]/rv[vc])
Ausgaben:
 Gravitationszentrum            pls[ip]
 Masse                          mv[vc]
 Erdmassen                      mv[vc]/mv[3]
 Mittlerer Radius (km)          rv[vc]/1000
 Umfang (km)                    2*pi*rv[vc]/1000
 Oberflche (qkm)               4*pi*rv[vc]*rv[vc]/1e6
 Volumen (km^3)                 4/3*pi*sqr(rv[vc])*rv[vc]/1e9
 Erdradien                      rv[vc]/rv[3]
 Erdoberflchen                 sqr(rv[vc])/sqr(rv[3])
 Erdvolumina                    hoch(rv[vc],3)/hoch(rv[3],3)
 Scheinbarer mittl. Durchmesser des Gravitationszentrums              t0
 Scheinbarer mittl. Himmelskrperdurchmesser auf Gravitationszentrum  t1
 Groe Bahnhalbachse            tv[vc]
 Gravitationszentrumsradien     tv[vc]/rv[ip]
 Mittlere Dichte                mv[vc]/(4/3*pi*hoch(rv[vc],3))
 Bahnexzentrizitt              ev[vc]
 Rotationsdauer                 lv[vc]
 max. Rotationsgeschwindigkeit  2*pi*rv[vc]/lv[vc]
 max.Strpotential              -2/3/abv[vc]*100 %
 Abplattung                 1 : abv[vc]
 mittlere Oberflchenanziehung  gr*mv[vc]/sqr(rv[vc]
 Gezeitenbeschleunigung auf Gravitationszentrum     agz
 Oberflchenkreisbahngeschwindigkeit bzw. maximale
  Geschwindigkeitsnderung  beim Swingby   sqrt(gr*mv[vc]/rv[vc])
 Fluchtgeschwindigkeit          sqrt(2*gr*mv[vc]/rv[vc])
 3. kosmische Geschwindigkeit   kos3
 4. kosmische Geschwindigkeit   kos4
 Gesamtenergie                  -gr*mv[ip]/2/tv[vc]/3.6e6 kWh/kg
  bzgl. Gravitationszentrum
 Bahnneigung zur Ekliptik       nwv[vc] Grad
 Bahnumlaufdauer        2*pi*sqrt(sqr(tv[vc])/(mv[ip]+mv[vc])*tv[vc]/gr)
 Mittlere Bahngeschwindigkeit   sqrt(gr*mv[ip]/tv[vc])
 Himmelskrpertag                                       tt
 Synodische Periode zur Erde                            ts1
 Synodische Periode zur Gravitationszentrumsoberflche  ts2
 Charakteristische Gren des Mehrkrpersystems Gravitationszentrum-
 Himmelskrper
 Schwerpunktsabstand                   rm/rv[ip]*100 %
  des Gravitationszentrumsradius
 Aktivsphre (Hhe)                    akts/1000 km
 Neutralsphre (Hhe)                  neus/1000 km
 Maximale Strbeschleunigung           hoch(4*mv[vc]/mv[ip],0.2)*100 %
  der Gravitationszentrumsanziehung
 Lagrangehhe L1                       (r1-rv[vc])/1000 km
 Lagrangehhe L2                       (r2-rv[vc])/1000 km
 Lagrangehhe L3                       (r3-rv[vc])/1000 km
 Himmelskrperdurchmesser in L1        2*rv[vc]/r2*180/pi*3600 ''
 Himmelskrperdurchmesser in L2        2*rv[vc]/r1*180/pi*3600 ''
 Gravitationszentrumsdurchmesser in L1
  2*rv[ip]/(tv[vc]-r2)*180/pi*3600 Bogensekunden
 Gravitationszentrumsdurchmesser in L2
  2*rv[ip]/(tv[vc]+r1)*180/pi*3600 Bogensekunden

b Erdabplattungseinfle:

Unterprogramm zur Ermittlung des Einflusses der Erdabplattung auf die
Bahnelemente Rektaszension und Argument des Perigums von Ellipsenbahnen.
Eingaben:
 groe Halbachse (km)  gh
 Inklination           ink
 Exzentrizitt         ex
Berechnungen:
 dl  = hoch((6371.2/gh),3.5)*gcos(ink)/sqr(1-sqr(ex))*9.96
 dom = hoch((6371.2/gh),3.5)*(5*sqr(gcos(ink))-1)/sqr(1-sqr(ex))*4.98
Ausgaben:
 nderung der Rektaszension                  dl  in Grad pro Tag
 nderung des Winkelabstandes des Perigums  dom in Grad pro Tag

c Manvergeschwindigkeitsbedarf:

Unterprogramm zur Ermittlung des Antriebsbedarfs bei nderung einer
Umlaufbahn um z.B. ein Rendevous durchzufhren.
Eingaben:
 Winkelnderung in der Flugebene  fi
 Neigungsnderung der Flugebene   inl
 Ortsgeschwindigkeit 1            v1
 Ortsgeschwindigkeit 2            v2
Berechnungen:
  ar = gcos(fi)*gcos(inl)
  w2 = pi/2-arctan(ar/sqrt(1-sqr(ar)))
  vk = sqrt(v1*v1+v2*v2-2*v1*v2*cos(w2))
Ausgaben:
 Rendevousbedarf                  vk
 Winkeldifferenz                  w2*180/pi

d Bahnelemente ermitteln:

Unterprogramm zur Ermittlung der fehlenden Bahnelemente Rektaszension und
Argument des Perizentrums, um z.B. Bodenspuren zu zeichnen.
Eingaben:
 Positionsbreitengrad       bg1
 Positionslngengrad        lg1
 Apsidenwinkel              apswi
 Inklination                in1
Berechnungen:
 om  = gasn(gsin(bg1)/gsin(in1)) - apswi
 rek = lg1 - gacs(gcos(om+apswi)/gcos(bg1))*sgn(gsin(2*in1))*sgn(bg1)
Ausgabe:
 Argument des Perizentrums  om
 Rektaszension              rek
Numerische Unterprogramme:

Die nun folgenden numerischen Unterprogramme stellen Laufzeitprogramme dar.
Zur Programmsteuerung kann mit bestimmten Tasten Einflu auf den Programmlauf
genommen werden.

e Raketengre fr Einstufentrger:

Unterprogramm zur Ermittlung der charakteristischen Gren einer einstufigen
Rakete unter Vorgabe des Antriebsbedarfs.
Eingaben:
 Geschwindigkeitsbedarf    ve
 Ausstrmgeschwindigkeit   va
 Stufenmassenverhltnis    cc
 Nutzlast                  nl
Berechnungen:
 sl = (exp(ve/va)*nl-nl)/(cc-exp(ve/va))
 s1 = sl+nl
 w1 = sqr(ve/va)/(exp(ve/va)-1)
 d  = cc*sl+nl
Ausgaben:
 Trockenmasse                     s1
 Gesamtmasse                      d
 Treibstoffmasse                  d-s1
 Gesamtmassenverhltnis           d/s1
 Nutzlastfaktor                   nl/d*100  %
 Mechanischer Wirkungsgrad        sqr(ln(1+d/s1))/(d/s1)*100  %
 Mittlerer Vortriebswirkungsgrad  w1*100  %

f Raketengeschwindigkeitsvermgen:

Unterprogramm zur Ermittlung des Geschwindigkeitsvermgens von Trgersystemen
mit bis zu fnf Stufen.
Eingaben:
 Stufenanzahl (1-5)                  sz
 Masse der vollen Stufen             o1 bis o5
 Masse der leeren Stufen             l1 bis l5
 Ausstrmgeschwindigkeit der Stufen  v1 bis v5
 Masse der Nutzlast                  nl
Berechnungen:
 mv1 = (o1+o2+o3+o4+o5+nl)/(l1+l2+l3+l4+l5+nl)
 g1  = v1*ln((o5+o4+o3+o2+o1+nl)/(l1+o5+o4+o3+o2+nl))
 g2  = v2*ln((o5+o4+o3+o2+nl)/(l2+o5+o4+o3+nl))
 g3  = v3*ln((o5+o4+o3+nl)/(l3+o5+o4+nl))
 g4  = v4*ln((o5+o4+nl)/(l4+o5+nl))
 g5  = v5*ln((o5+nl)/(l5+nl))
Ausgaben:
 Massenverhltnis                mv1
 Nutzlastfaktor                  100*nl/(o1+o2+o3+o4+o5+nl) %
 Mechanischer Wirkungsgrad       sqr(ln(1+mv1))/mv1*100 %
 Geschwindigkeitsvermgen
  einstufig                      g1
  zweistufig                     g1+g2
  dreistufig                     g1+g2+g3
  vierstufig                     g1+g2+g3+g4
  fnffstufig                    g1+g2+g3+g4+g5

g Raumschlepper:

Unterprogramm zur Ermittlung der Nutzlasttragfhigkeit eines einstufigen
Orbittransferfahrzeugs.
Eingaben:
 Ausstrmgeschwindigkeit                va (der Treibstoffe)
 einfacher Geschwindigkeitsbedarf       ve (fr Orbitwechsel bzw. Rendevous)
 Schleppermasse voll                    vm (ohne Nutzlast)
 Schleppermasse leer                    tm (ohne Nutzlast)
Berechnungen:
 no  = (exp(ve/va)*tm-vm)/(1-exp(ve/va))
 nl  = (exp(2*ve/va)*tm-vm)/(1-exp(ve/va))
 ml  = exp(ve/va)*tm
 ql  = (vm+nl)/(tm+nl)
 znr = (exp(ve/va)*tm-vm/exp(ve/va))/(1-exp(ve/va))
 mr  = znr+vm/exp(ve/va)
 qvr = (vm+znr)/(znr+tm)
 nv  = (exp(2*ve/va)*tm-vm)/(1-exp(2*ve/va))
 mv1 = (nv+tm)*exp(ve/va)
 qv  = (vm+nv)/(nv+tm)
Ausgaben:
 Nutzlast ohne Rckflug                 no = no/(no+vm)*100 %
  Startmassenverhltnis                 (vm+no)/(tm+no)
  Geschwindigkeitsbedarf fr Rckflug   va*ln(vm/tm)/2
 Nutzlast bei Leerrckflug              nl = nl/(nl+vm)*100 %
  Masse vor Leerrckflug                ml
  Treibstoffverbrauch hin,zurck        vm-ml  bzw.  ml-tm
  Startmassenverhltnis                 ql
  Mechanischer Wirkungsgrad             sqr(ln(1+ql))/ql*100 %
 Nutzlast bei Leerhinflug               znr = znr/(znr+vm)*100 %
  Masse vor Vollrckflug                mr
  Treibstoffverbrauch hin,zurck        vm-mr+znr  bzw.  mr-tm-znr
  Startmassenverhltnis                 qvr
  Mechanischer Wirkungsgrad             sqr(ln(1+qvr))/qvr*100 %
 Nutzlast ohne Leerflug                 nv = nv/(nv+vm)*100 %
  Masse vor Vollrckflug                mv1
  Treibstoffverbrauch hin,zurck        vm-mv1+nv  bzw.  mv1-tm-nv
  Startmassenverhltnis                 qv
  Mechanischer Wirkungsgrad             sqr(ln(1+qv))/qv*100 %

h Raumfahrtantriebe:

Unterprogramm zur Ermittlung charakteristischer Gren von
Raumfahrt-Antrieben. Dabei wird differenziert nach Leistungsantrieben,
Schubantrieben und Sonnensegeln.
Fr Leistungs- und Schubantriebe:
 Eingaben:
  Schub                    kr  oder   Motorleistung       l
  Ausstrmgeschwindigkeit  va
  Vollmasse                m1
  Treibstoffmasse          mt
 Berechnungen:
  ds = kr/va                   oder   ds = 2*l/sqr(va)
  l  = ds/2*sqr(va)            oder   kr = ds*va
  vv = va*ln(m1/m2)
  b1 = kr/m1
  b2 = kr/m2
 Ausgaben:
  Durchsatz                ds                  kg/s
                           ds*3600             kg/h
                           ds*365*24*3600      kg/a
  Vorrat                   mt/(ds*365*24*3600) Jahre
                           mt/(ds*3600)        Stunden
  Leistung                 l                   Watt
  Schub                    kr                  Newton
  Anfangsbeschleunigung    b1                  m/sec^2
                           365*24*3600*b1      m/sec pro a
                           3600*b1             m/sec pro h
  Endbeschleunigung        b2                  m/sec^2
                           365*24*3600*b2      m/sec pro a
                           3600*b2             m/sec pro h
  Geschwindigkeitsvermgen vv                  m/sec
Fr Sonnensegel:
 Eingaben:
  Entfernung zur Sonne (km)             hs
  Segelflchendichte (>=5 g/m^2)        sf
 Berechnungen:
  sl = 1370*sqr((696200+149.6e6)/(696200+hs))
  k  = 1.8*sl/299792458
  be = k/sf*1000
 Ausgaben:
  Strahlungsleistung                    sl              W/m^2
  Strahlungsdruck bei 90%-Reflexion     k*1e6           N/qkm
  Beschleunigung                        be              m/sec^2
  Geschwindigkeitsvermgen pro Stunde   be*3600         m/sec pro h
             "             pro Tag      be*3600*24      m/sec pro d
             "             pro Jahr     be*3600*24*365  m/sec pro a

i Freiflug im Erde-Mond-System:

Dieses Unterprogramm simuliert einen Freiflug im Erde-Mond-System mit einem
Start aus einer kreisfrmigen Umlaufbahn um die Erde. Mit einem beliebigen
Tastendruck kann die Ausfhrung unterbrochen werden. Es bestehen keine
Einflumglichkeiten (z.B. Antriebsmanver). Bei extremen Vorgaben besteht
die Mglichkeit des Absturzes auf Erde oder Mond. Auch ein Entweichen aus
dem System ist bercksichtigt. Das Programm luft mit Systemgeschwindigkeit.
Eingaben:
 Startgeschwindigkeit                          v9
 Startkreisbahnhhe                            h9
 Abflugwinkel (0 <=> zwischen Erde und Mond)   ph9
  (in Gegen-Uhrzeigersinn)
 Anfangszeitschrittweite (10-1000 sec)         d9
  (zur zeitlichen Steuerung)
Berechnungen:
 Anfangswerte:
  dd  = d9
  phi = ph9
  ho  = h9
  vo  = v9*100
  me  = 3.98546e20
  mo  = 4.9e18
  re  = 6.378e8
  rr  = re+ho*100000
  rm  = 3.844e10
  rx  = 7.688e10
  rl  = 3.476e8
  pp  = 2.66162e-6
  phi = phi/180*pi
  sinphi = sin(phi)
  cosphi = cos(phi)
  v2  = vo*cosphi
  vo  = -vo*sinphi
  x   = rr*cosphi
  y   = rr*sinphi
  t   = 0
  dt  = 100
  xm  = rm
  ym  = 0
  de  = rr
  dm  = sqrt(sqr(x-xm)+sqr(y-ym))
  r2  = dm
  de3 = sqr(de)*de
  dm3 = sqr(dm)*dm
  xb  = -me*x/de3-mo*(x-xm)/dm3
  yb  = -me*y/de3-mo*(y-ym)/dm3
 Schleife fr aktuelle Zeit, Geschwindigkeit und Entfernung:
  xv = 0.5*(xb+xb)*dt
  yv = 0.5*(yb+yb)*dt
  v1 = vo+xv
  v3 = v2+yv
  dx = 0.5*(v1+vo)*dt
  dy = 0.5*(v3+v2)*dt
  x1 = dx+x
  y1 = dy+y
  r1 = sqrt(sqr(x1)+sqr(y1))
  Fr r1<r2:
   dt = dd*r1/re
  sonst
   dt = dd*r2/rl
  t  = t+dt
  xm = rm*cos(pp*t)
  ym = rm*sin(pp*t)
  r2 = sqrt(sqr(x-xm)+sqr(y-ym))
  r4 = sqr(r1)*r1
  r5 = sqr(r2)*r2
  xc = -me*x1/r4-mo*(x1-xm)/r5
  yc = -me*y1/r4-mo*(y1-ym)/r5
  xv = 0.5*(xc+xb)*dt
  yv = 0.5*(yc+yb)*dt
  v1 = vo+xv
  v3 = v2+yv
  dx = 0.5*(v1+vo)*dt
  dy = 0.5*(v3+v2)*dt
  x1 = x+dx
  y1 = y+dy
  v  = sqrt(sqr(v1)+sqr(v3))
  ti = t/3600
  vi = v/100000
  ri = r1/100000
  rj = r2/100000
  xb = xc
  yb = yc
  vo = v1
  v2 = v3
  x  = x1
  y  = y1
Ausgaben:
 Zeit                        t
 Geschwindigkeit             v
 Entfernung zur Erde         r1-re
 Entfernung zum Mond         r2-rl

j Wiedereintrittsprogramm:

Dieses Unterprogramm simuliert einen Wiedereintrittskrper fr Himmelskrper
mit und ohne Atmosphre unter Annahme einfacher aerodynamischer und
kinematischer Zusammenhnge. Der freie Fall ohne Auftrieb aber mit
Luftwiderstand ist ebenfalls berechenbar.
Eingaben:
 Bodenatmosphrendruck                 p0
 Bodenatmosphrendichte                rh
 Anfangsgeschwindigkeit                v3
 Anfangsflugwinkel (zum Mittelpunkt)   w9
 Anfangshhe                           h0
 Masse                                 mm
 Flgelflche                          ff
 Schrittweite pro Sekunde              swp
Berechnungen:
 Die Berechnungen laufen in Real-Time oder mit Systemgeschwindigkeit.
 Mit den f/g/h/j-Tasten lt sich der Anstellwinkel aw verndern.
 Anfangswerte:
  w1  = w9/180*pi
  wi3 = w1
  vh2 = sin(w1)*v3
  vv2 = cos(w1)*v3
  h4  = h0
  h3  = h0
  h2  = h0
 Schleife mit Laufvariable ep:
  g31 = gr*me/sqr(re+h3)
  g32 = vh2*vh2/(re+h3)
  g3  = g31-g32
  rh3 = rh*exp(-g31*h3*rh/p0)
  ca  = 0.05*aw+0.05           (Geradengleichung fr Auftriebsbeiwert)
  cw  = 0.08/625*aw*aw+0.025   (Geradengleichung fr Widerstandsbeiwert)
  bb  = cw/2*rh3*ff*v3*v3/mm
  cc  = ca/2*rh3*ff*v3*v3/mm
  vh3 = vh2-sin(wi3)*bb/swp+cos(wi3)*cc/swp
  vv3 = vv2+g31/swp-cos(wi3)*bb/swp-sin(wi3)*cc/swp
  vx  = vv2+g3/swp-cos(wi3)*bb/swp-sin(wi3)*cc/swp
  h3  = h2-vv3/swp
  h2  = sqrt(sqr(h3+re)+sqr(vh3/swp))-re
  v3  = sqrt(vv3*vv3+vh3*vh3)
  wi3 = arctan(vh3/vv3)+vh3/swp/(h2+re)
  vh2 = v3*sin(wi3)
  vv2 = v3*cos(wi3)
  v3  = sqrt(vv2*vv2+vh2*vh2)
  h4  = h4-vx/swp
  h2  = h4
  ghb = bb*mm*v3
  gb  = sqrt(bb*bb+cc*cc)
  ep  = ep+1
  e   = e+ep/swp
Ausgaben:
 Bremsbeschleunigung               bb
 Auftriebsbeschleunigung           cc
 Anziehung                         g31 - g32 = g3
 Lastvielfaches                    gb/9.81
 Maximum des Lastvielfachen und zugehrige Hhe
 Geschwindigkeit                   v3*3.6 km/h
 Horizontalgeschwindigkeit         vh2*3.6 km/h
 Sinkgeschwindigkeit               vv2*3.6 km/h
 Hhe                              h4
 Luftdruck                         rh3
 Flugwinkel                        wi3*180/pi
 Anstellwinkel                     2.5*aw+2.5
 Bremsleistung                     ghb
 Maximum der Bremsleistung und zugehrige Hhe
 Zeit                              e

k Raketenstartprogramm:

Dieses Unterprogramm simuliert fr beliebige Himmelskrper den Start eines
einstufigen Trgers. Dabei finden die Einfle der Eigendrehgeschwindigkeit
und des Atmosphrenwiderstands Bercksichtigung. Auch der Start aus einem
Orbit oder dem krftefreien Weltraum ist mglich. Als Bezugspunkt fr die
Endgeschwindigkeit ist der Mittelpunkt des Gravitationszentrums festgelegt.
Zur Erleichterung der Verwaltung der Eingabedaten besteht die Mglichkeit
diese Werte auf dem gltigen Laufwerk abzuspeichern bzw. einzulesen (in
Dateien mit der Extension ".RAK"). Dazu wird der COMMAND-Interpreter im
Root-Directory bentigt.
Die numerische Schrittweite betrgt eine Sekunde. Die Ausgabe erfolgt in
Real-Time oder in Systemzeit. Zur schnelleren Bearbeitung z.B. fr
Parameterstudien kann die Ausgabe auf den Brennschlu beschrnkt werden.
Eingaben:
 Steuervariable z3 fr 1 Ausbrennen, sonst definierter Brennschlu
 Zielgeschwindigkeit: 1=Kreisbahngeschwindigkeit,
                      xxxxx=Endgeschwindigkeit vj
 Bodendruck                                    p0
 Bodendichte                                   rh
 Startwinkel                                   ws1
 Endwinkel                                     wz
 Abflugrichtungswinkel (0=Osten)               fr
 Starthhe                                     h0
 Breitengrad                                   bg
 Raketenanfangsgeschwindigkeit bzgl.Startort   vv0
 Querschnittsflche                            fl
 cw-Wert                                       cw
 Anfangsmasse                                  ma
 Maximalbeschleunigung (*g)                    gm
 Massenverhltnis (Bruch mglich)              pp
 Richtungsnderungsfaktor (0-2)                l
 Schubrichtungsunsicherheit (0.2-2 Grad)       su
 Dsenendluftwiderstandsfaktor (1-4)           xx
 Vakuumausstrmgeschwindigkeit                 va
 Brenndauer bei vollem Durchsatz               bb
Berechnungen:
 Anfangswerte:
  wi   = ws1*pi/180
  we1  = wz*pi/180
  wb   = fr*pi/180
  ho   = h0
  w0   = wi-we1
  b3   = bg/180*pi
  abvc = abv[vc]
  aa3  = re*(1-1/abvc*bg/90)
  Fr Erde:
   ge = 9.780501+(0.0178*bg/90)
  sonst
   ge = gr*me/aa3/aa3
  ve   = 2*pi*cos(b3)*aa3/te*cos(wb)
  vr   = vv0
  v1   = vr
  vw   = cos(wi)*vr
  m1   = ma
  m9   = ma
  gu   = gm*9.80665
  nl   = ma/pp
  ds   = (ma-nl)/bb
  ad   = ds
  v3   = va*(1-cos(su*pi/180))
 Schleife fr die aktuelle Zeit:
  g1  = ge*sqr(aa3/(aa3+ho))
  g2  = g1-vw*vw/(aa3+ho)
  vg  = vg+g2
  v5  = v5+v3
  ds  = (gu+b1+b4)/va*m1
  wi  = wi-wa
  vo  = cos(wi)*ve
  v9  = vo-v8
  v7  = v7+v9
  v6  = v9
  v8  = vo
  m1  = m9-ds/2
  dc  = rh*exp(-ge*rh/p0*re*re*(1/re-1/(re+ho)))
  wa  = w0*l/(bb-ie)
  b1  = (cw/2*fl*dc*sqr((vr+v1)/2))/m1
  v1  = vr
  b4  = dc*xx
  be  = ds*va/m1-g2-b1-b4
  vr  = v1+be+v6-v3
  vw  = cos(wi)*(vr-v7)+ve-vn
  gz  = vw*vw/(aa3+ho)
  m9  = m1-ds/2
  vf  = (ds*va-b4*m9)/ds
  aaa = 2*vr/vf/(1+vr*vr/vf/vf)
  ho  = ho+be/2*sin(wi)+v1*sin(wi)
  bl  = bl+b1
  vv  = vv+b4
  ie  = ie+1
 Berechnungen nach Brennschlu:
  p   = ad/2*va*va
  bs1 = va*bb*(1-ln(pp)/(pp-1))
  wh  = gr*me*m9*(1/(re+h0)-1/(re+ho))
  wk  = m9/2*sqr(vr-v7-vv0)
  wt  = (ma-m9)/2*va*va
  nu  = (wh+wk)/wt*100
Ausgaben:
 Ausgaben in der Schleife:
  Zeit                             ie
  Anziehungsbeschleunigung         g1
  Flugwinkel                       wi*180/pi
  Zentripedalbeschleunigung        gz
  Durchsatz                        ds
  effekt.Ausstrmgeschwindigkeit   vf
  Schubbeschleunigung              be
  Schub                            ds*va-b4*m9
  Bremsbeschleunigung              b1
  Schubregelung                    ds/ad*100 %
  Geschwindigkeit                  vr
  Geschwindigkeitsverluste         vg+v5+vv+bl-v7
  Hhe                             ho
  Luftdruck                        dc/rh*p0
  Masse                            m9
  Vortriebswirkungsgrad            aaa*100 %
 Ausgaben nach Brennschlu:
  Anfangsdurchsatz                 ad
  Planetendrehgewinn               v7
  Gravitationsverlust              vg
  Luftwiderstandsverlust           bl
  Lenkverlust                      v5
  Triebwerksverlust                vv
  Resttreibstoff                   m9-ma/pp
  Kreisbahngeschwindigkeit         sqrt(gr*me/(ho+re))
  Maximalleistung                  p/1e6 MW
  ideale Brennschluhhe           bs1/1000 km
  Maximalvakuumschub               ad*va/1000 kN
  Geschw-vermgen (ohne Reserve)   vr+vg+v5+vv+bl-v7-vv0
  kinetischer Wirkungsgrad         nu %
  mechan.Wirkungsgrad              sqr(ln(1+pp))/pp*100 %

l Planetensystem:

Dieses Unterprogramm verdeutlicht die Grenverhltnisse des Planetensystems
bzgl. der Bahngre und der Krpergre und die relative Geschwindigkeit der
einzelnen Himmelskrper ohne Bezug auf die exakte Daten zu einem gegebenen
Zeitpunkt.

m Weltraumbahnhoefe

Dieses Programm zeigt die Lage und die Abschussrichtungen der aktuellen
Weltraumbahnhoefe grafisch ohne Berechungen und nur zur Information.
